Subject: Re: [PATCH] usb: musb: replace all unsigned data type to unsigned int

From: Macpaul Lin <[email-masked]>
Date: Thu, 5 Dec 2019 22:52:58 +0800

On Thu, 2019-12-05 at 10:12 +0000, Russell King - ARM Linux admin wrote:
> On Thu, Dec 05, 2019 at 02:01:17PM +0800, Macpaul Lin wrote:
> > Simply replace all 'unsigned' data type in musb driver to
> > 'unsigned int' because it has been complained by gerrit
> > checkpatch service.
> 
> "unsigned" is perfectly legal standard C.  The policy for net related
> code is to abhor it, but there is nothing in the kernel style
> guidelines that prevents its use in the rest of the kernel.
> 
> AFAICS there is no need for this churn.

Thanks for your reply.
I'll bring this suggestion back to our internal checkpatch.pl owners to
align with kernel's rules.

Regards,
Macpaul Lin
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel